package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.TransportSection;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllTransportSectionNode extends Renderable {

    private final List<TransportSection> sections;

    private final String text;

    public AllTransportSectionNode(List<TransportSection> sections, TransportSection.SectionType type) {
        this.sections = sections;
        this.text = type.toString();

    }

    @Override
    public void refreshTextColor() {
        // no use
    }

    @Override
    public String getText() {
        return this.text;
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.renderTransportation(sections);
    }
}
